Bug 100732 - RPM SegFault while installing/removing/upgrading
Summary: RPM SegFault while installing/removing/upgrading
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-24 19:35 UTC by Michael Wartman
Modified: 2007-04-18 16:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 19:05:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Wartman 2003-07-24 19:35:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.1.4322)

Description of problem:
I was attempting to upgrade gcc and glibc. the packages upgraded, but now 
whenever i try to work with rpm, it segfaults at the end of the install without 
installing the package (to my knowledge). I saw something about a corrupt 
database but i've rebuild my rpmdb multiple times with no solution.

Version-Release number of selected component (if applicable):
rpm-4.0.4

How reproducible:
Always

Steps to Reproduce:
1. install/remove/update package via rpm
2.
3.
    

Actual Results:  segfault

Expected Results:  removed/installed/upgraded package.

Additional info:

[root@megatron build-openssh-3.6.1]# rpm -evv printconf > rpm-segfault
D: opening  db environment /var/lib/rpm/Packages create:mpool
D: opening  db index       /var/lib/rpm/Packages  mode=0x82
D: locked   db index       /var/lib/rpm/Packages
D: opening  db index       /var/lib/rpm/Name  mode=0x82
D: ========== --- printconf-0.3.77-1
D: opening  db index       /var/lib/rpm/Requirename  mode=0x82
D: opening  db index       /var/lib/rpm/Basenames  mode=0x82
D:     erase: printconf-0.3.77-1 has 117 files, test = 0
Segmentation fault
[root@megatron build-openssh-3.6.1]#

Comment 1 Jeff Johnson 2003-07-29 13:06:41 UTC
Please supply pointer (i.e. URL, attachments won't work) to
tarball of your database:
     cd /var/lib
     tar czvf /tmp/rpmdb-100732.tar.gz rpm
and I will try to get you a fix.

Comment 2 Jay St. Pierre 2003-09-16 21:24:50 UTC
I have the exact same problem.  Same versions of Red Hat and RPM.  Here is the
URL to a tarball of my rpm database:

http://osl-www.colorado.edu/~stpierre/rpmdb-100732-jasp.tar.gz


Note You need to log in before you can comment on or make changes to this bug.